Create Personal Access Token
CreatePersonalAccessToken creates a personal access token for a user. Only the user may call it. The token value is returned only once, in the response.
Path Parameters
The user id.
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Request message for UserService.CreatePersonalAccessToken.
Response Body
application/json
application/json
curl -X POST "https://example.com/api/users/string/personalAccessTokens" \ -H "Content-Type: application/json" \ -d '{ "parent": "string" }'{ "personalAccessToken": { "name": "string", "description": "string", "createTime": "2019-08-24T14:15:22Z", "expireTime": "2019-08-24T14:15:22Z", "lastUseTime": "2019-08-24T14:15:22Z" }, "token": "string"}Create View
CreateMemoView creates a View for a user. Only the user may call it.
Create User
CreateUser creates a user. The first user of an instance becomes an admin. Otherwise, unless an admin calls it, the instance must allow user registration and password sign-up, and the new user gets the USER role.